Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\HookableConfigurationMapperInterface Interface Reference

Interface of ConfigurationMapper objects that need to trigger actions before and/or after looping over available scopes for mapping. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\HookableConfigurationMapperInterface:

## Public Member Functions
| preMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor before looping over available scopes. More...
| postMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor after looping over available scopes. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationMapperInterface
| mapConfig (array &$scopeSettings, $currentScope, ContextualizerInterface $contextualizer)
| Does semantic config to internal container parameters mapping for $currentScope. More...

## Detailed Description

Interface of ConfigurationMapper objects that need to trigger actions before and/or after looping over available scopes for mapping.

Definition at line 13 of file HookableConfigurationMapperInterface.php.

## Member Function Documentation

## ◆ postMap()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\HookableConfigurationMapperInterface::postMap | ( | array | $config,
|  | ContextualizerInterface | $contextualizer
| ) |  |

This method is called by the ConfigurationProcessor after looping over available scopes.

You may here use $contextualizer->mapConfigArray().

See also
  ConfigurationProcessor::mapConfig()
  ContextualizerInterface::mapConfigArray()

Parameters

  array | $config | Complete parsed semantic configuration
  ContextualizerInterface | $contextualizer |

Returns
  mixed

Implemented in eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Languages, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ConfigParser, and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser.

## ◆ preMap()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\HookableConfigurationMapperInterface::preMap | ( | array | $config,
|  | ContextualizerInterface | $contextualizer
| ) |  |

This method is called by the ConfigurationProcessor before looping over available scopes.

You may here use $contextualizer->mapConfigArray().

See also
  ConfigurationProcessor::mapConfig()
  ContextualizerInterface::mapConfigArray()

Parameters

  array | $config | Complete parsed semantic configuration
  ContextualizerInterface | $contextualizer |

Returns
  mixed

Implemented in eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\View, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Templates, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Page, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\LocationView, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Languages, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Image, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Common, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ConfigParser, and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser.

The documentation for this interface was generated from the following file:

- HookableConfigurationMapperInterface.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.